namespace _2024._09._04
{
    internal class Program
    {
        static void Main(string[] args)
        {
            var lines = File.ReadLines("adatok-utf8.txt");
            List<string> orszag = new List<string>();
            List<int> terulet = new List<int>();
            List<int> nepesseg = new List<int>();
            List<string> fovaros = new List<string>();
            List<int> fovarosNepessege = new List<int>();

            foreach (string line in lines)
            {
                string[] data = line.Split(";");
                orszag.Add(data[0]);
                terulet.Add(int.Parse(data[1]));
                nepesseg.Add(int.Parse(data[2]));
                fovaros.Add(data[3]);
                fovarosNepessege.Add(int.Parse(data[4]));
            }

            Orszag orszagok = new Orszag(orszag, terulet, nepesseg, fovaros, fovarosNepessege);

            Console.WriteLine("3. feladat");
            Console.WriteLine($"A beolvasott országok száma {orszagok.Orszagnev}.");

            Console.WriteLine("4. feladat");
            orszagok.Nepsuruseg(Console.ReadLine());

            Console.WriteLine("5. feladat");
            orszagok.Kulonbseg();

            Console.WriteLine("6. feladat");
            orszagok.Legnagyobb3();

            Console.WriteLine("7. feladat");
            orszagok.Szazalek30();

        }
    }
}